#### 9.32.1 Options

The following table lists all available s390 specific options:

`-m31 | -m64`
  Select 31- or 64-bit ABI implying a word size of 32- or 64-bit.

  These options are only available with the ELF object file format, and require that the necessary BFD support has been included (on a 31-bit platform you must add –enable-64-bit-bfd on the call to the configure script to enable 64-bit usage and use s390x as target platform).

`-mesa | -mzarch`
  Select the architecture mode, either the Enterprise System Architecture (esa) mode or the z/Architecture mode (zarch).

  The 64-bit instructions are only available with the z/Architecture mode. The combination of ‘`-m64`’ and ‘`-mesa`’ results in a warning message.

`-march=`CPU
  This option specifies the target processor. The following processor names are recognized: `g5`, `g6`, `z900`, `z990`, `z9-109`, `z9-ec`, `z10` and `z196`. Assembling an instruction that is not supported on the target processor results in an error message. Do not specify `g5` or `g6` with ‘`-mzarch`’.

`-mregnames`
  Allow symbolic names for registers.

`-mno-regnames`
  Do not allow symbolic names for registers.

`-mwarn-areg-zero`
  Warn whenever the operand for a base or index register has been specified but evaluates to zero. This can indicate the misuse of general purpose register 0 as an address register.